| Qore Logger Module Reference 1.0

Loading...
Searching...
No Matches
Static Public Member Functions | Public Attributes | List of all members
Logger::LoggerUtil Class Reference

Utility class. More...

## Static Public Member Functions
static auto | getArgSummary (auto v)
| Returns a summary value for debug logging purposes to avoid logging very large amounts of data.

## Public Attributes
const | MaxSummaryElements = 20
| Maximum number of elements in a hash or list to log in a summary message.
const | MaxSummaryLogStringSize = 100
| Maximum length of string in characters for a summary log message.

## Detailed Description

Utility class.